/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-uri.h: Priority Updates functions and utilities
 *
 * Copyright 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_PRIORITY_H
#define _GUI_PRIORITY_H

#include <gtkhtml/gtkhtml.h>
#include <libsoup/soup-uri.h>

void rc_create_cookie(void);
void rc_gui_enter_activation_code(void);
void rc_gui_activation_submit(GtkHTML *html, const char *method,
                              const char *action, const char *encoding,
                              gpointer data);

void rc_send_transaction(RCPackageSList *install_packages,
                         RCPackageSList *remove_packages, char **tid);
void rc_send_success(char *tid, gboolean successful, char *msg);
const char *rc_gui_priority_host(void);
SoupUri *rc_gui_priority_authorized_url(const char *url);
gboolean rc_gui_priority_is_initialized(void);
void rc_gui_priority(void);
#endif
